version: '3.8'

networks:
  proxy:
    external: true

services:
  gb-app:
    container_name: gb-app
    image: nginx:alpine
    volumes:
      - ./build:/usr/share/nginx/html:ro
    restart: unless-stopped
    networks:
      - proxy
      - default
    deploy:
      resources:
        limits:
          memory: 256M
          cpus: '0.25'
    security_opt:
      - no-new-privileges:true
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=proxy"
      - "traefik.http.routers.gb-app.rule=Host(`${HOSTNAME_GB_APP}`)"
      - "traefik.http.routers.gb-app.entrypoints=websecure"
      - "traefik.http.routers.gb-app.tls=true"
      - "traefik.http.routers.gb-app.tls.certresolver=myresolver"
      - "traefik.http.services.gb-app.loadbalancer.server.port=80"